# udm_dns_zone – Manage dns zones on a univention corporate server

- Synopsis

- Requirements

- Parameters

- Examples

- Status

## Synopsis

- This module allows to manage dns zones on a univention corporate server (UCS). It uses the python API of the UCS to create a new object or edit it.

## Requirements

The below requirements are needed on the host that executes this module.

- Python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
contact - | Default: "" | Contact person in the SOA record.
expire - | Default: 604800 | Specifies the upper limit on the time interval that can elapse before the zone is no longer authoritative.
interfaces - |  | List of interface IP addresses, on which the server should response this zone. Required if `state=present`.
mx - | Default: [] | List of MX servers. (Must declared as A or AAAA records).
nameserver - |  | List of appropriate name servers. Required if `state=present`.
refresh - | Default: 3600 | Interval before the zone should be refreshed.
retry - | Default: 1800 | Interval that should elapse before a failed refresh should be retried.

state
-

Choices:
- present ←
- absent

Whether the dns zone is present or not.

ttl - | Default: 600 | Minimum TTL field that should be exported with any RR from this zone.

type
- / required

Choices:
- forward_zone
- reverse_zone

Define if the zone is a forward or reverse DNS zone.

zone - / required |  | DNS zone name, e.g. `example.com`.

## Examples

    # Create a DNS zone on a UCS
    - udm_dns_zone:
        zone: example.com
        type: forward_zone
        nameserver:
          - ucs.example.com
        interfaces:
          - 192.0.2.1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Tobias Rüetschi (@keachi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.